org.eclipse.cdt.core.dom.ast

## Class ASTNodeFactoryFactory

- java.lang.Object
- - org.eclipse.cdt.core.dom.ast.ASTNodeFactoryFactory

    public class ASTNodeFactoryFactory
    extends java.lang.Object

Provides access to the node factories.

Since:
  5.2

### Method Summary

All Methods Static Methods Concrete Methods
`static ICNodeFactory` `getDefaultCNodeFactory()`
`static ICPPNodeFactory` `getDefaultCPPNodeFactory()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getDefaultCNodeFactory

    public static ICNodeFactory getDefaultCNodeFactory()

#### getDefaultCPPNodeFactory

    public static ICPPNodeFactory getDefaultCPPNodeFactory()